## gwyui

gwyui — Base functions, library initialisation

## Functions

void | gwy_ui_init ()

## Includes

    #include <libgwyui/gwyui.h>

## Description

Gwyddion classes has to be initialised before they can be deserialised. The function `gwy_ui_init()` performs this initialisation.

## Functions

### gwy_ui_init()

    void
    gwy_ui_init (void);

Makes libgwyui types safe for deserialization and performs other initialization. You have to call this function before using widgets and objects from libgwyui. It calls `gwy_init()` so you do not have to initialise libgwyddion separately.

It is safe to call this function more than once, subsequent calls are generally no-op.

It can be used in both GUI and non-GUI programs. The behaviour depends on whether GTK+ has been initialised. If it has and there is a default screen, additional initialisation is done, such as loading Gwyddion icons to the default theme.